SearchCriteria¶
- class oci.data_catalog.models.SearchCriteria(**kwargs)¶
Bases:
objectSearch Query object that allows complex search predicates that cannot be expressed through simple query params.
Methods:
__init__(**kwargs)Initializes a new SearchCriteria object with values from keyword arguments.
Attributes:
Gets the dimensions of this SearchCriteria.
Gets the faceted_query of this SearchCriteria.
Gets the filters of this SearchCriteria.
Gets the query of this SearchCriteria.
Gets the sort of this SearchCriteria.
- __init__(**kwargs)¶
Initializes a new SearchCriteria object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
query (str) – The value to assign to the query property of this SearchCriteria.
faceted_query (str) – The value to assign to the faceted_query property of this SearchCriteria.
dimensions (list[str]) – The value to assign to the dimensions property of this SearchCriteria.
sort (list[oci.data_catalog.models.FacetedSearchSortRequest]) – The value to assign to the sort property of this SearchCriteria.
filters (oci.data_catalog.models.FacetedSearchFilterRequest) – The value to assign to the filters property of this SearchCriteria.
- property dimensions¶
Gets the dimensions of this SearchCriteria. List of properties of dataObjects that needs to aggregated on for facets.
- Returns
The dimensions of this SearchCriteria.
- Return type
list[str]
- property faceted_query¶
Gets the faceted_query of this SearchCriteria. Query string that a dataObject is to be searched with. Used in the faceted query request
- Returns
The faceted_query of this SearchCriteria.
- Return type
str
- property filters¶
Gets the filters of this SearchCriteria.
- Returns
The filters of this SearchCriteria.
- Return type
- property query¶
Gets the query of this SearchCriteria. Search query dsl that defines the query components including fields and predicates.
- Returns
The query of this SearchCriteria.
- Return type
str
- property sort¶
Gets the sort of this SearchCriteria. Array of objects having details about sort field and order.
- Returns
The sort of this SearchCriteria.
- Return type